botruntime
API ReferenceAdmin API

Update Account

Update details of the account associated with authenticated user

PUT
/v1/admin/account/me

Header Parameters

x-multiple-integrations?string

Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.

Request Body

application/json

Account Data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/admin/account/me" \  -H "Content-Type: application/json" \  -d '{}'
{  "account": {    "id": "string",    "email": "string",    "displayName": "string",    "emailVerified": true,    "profilePicture": "string",    "createdAt": "2019-08-24T14:15:22Z"  }}
{  "account": {    "id": "string",    "email": "string",    "displayName": "string",    "emailVerified": true,    "profilePicture": "string",    "createdAt": "2019-08-24T14:15:22Z"  }}